lunes, 13 de diciembre de 2010

Repositorios para tarjetas de vídeo problemáticas en Ubuntu.

 Después de varias consultas por parte de algunos compañeros de los foros de ubuntu-es y otros amigos de la lista de correo e incluso preguntando algunos amigos por chat con problemas con ciertas tarjetas que están dando problemas. Tuve que ayudar a estos compañeros, dando una vuelta por internet encontré algunas soluciones. Todas me llevaban a un enlace en Launchpad, donde varios compañeros se han dedicado a recopilar y modificar algunos driver's para algunas tarjetas de vídeo.

Añadir repositorios
Coloco la forma de añadir los repositorios de Launchpad para que podáis arreglar estos problemas.
sudo add-apt-repository ppa:xorg-edgers/ppa
sudo apt-get update
sudo apt-get upgrade
Sino ha cogido el driver en el upgrade, instala el ultimo paquete que encuentres de xserver-xorg-video-intel la versión 2.2.90-1 era la que había en el momento.
sudo apt-cache search xserver-xorg-video-intel
E instala la versión mas alta que encuentres:
sudo apt-get install xserver-xorg-video-intel
Tarjetas en las cuales soluciona problemas, por problemáticas o anticuadas, cambiando el nombre del paquete a instalar:

Ati, intel, savage, nvidia, trident, openchrome, radeon y algunas mas.

En este otro PPA de launchpad de tarjetas problemáticas, encontrareis para las problemáticas de ATI usando fglxr, Nvidia en su ultima versión, Openchrome y alguna mas, revisad el enlace.

Revisión del tutorial 3/2/11
Reviso el tutorial, había equivocado los paquetes que añadía este ppa de launchpad.
Por favor si te fue de utilidad, marca en las opciones de Reacciones para tener saber si te fue interesante.


Revisión del howto 19/7/11 leer esto:
Esta ayuda para tarjetas problemáticas, ha quedado estancada para la versión 10.04.2 LTS, mas haya de esta versión de Ubuntu es posible que no hagan ningún cambio. Si son ATI o NVIDIA utiliza este ultimo enlace, antes de la ultima revisión, este sigue un ritmo de versiones.

12 comentarios:

Anónimo dijo...

La primera línea me da:

Error: 'xorg-edgers/ppa/ubuntu' invalid

Alguna idea de porqué?

arriero dijo...

Mis disculpas estaba mal escrita prueba ahora.

Cristian dijo...

Que tal bueno quisiera saber si me puedes ayudar con mi tarjeta de video VIA Technologies, Inc. CN896/VN896/P4M900 ubuntu 10.04 no la reconoce y digite lo que mencionas en el blog pero nada cambia.

Espero me puedas ayudar. Gracias de antemano

arriero dijo...

Si digitaste lo que pone hay no sirve para nada. Una vez hagas eso tendrás que buscar en Synaptic para encontrar xserver-xorg-video-via y no intel que para tu tarjeta no servirán para nada. Aunque creo que via tiene drivers para tu tarjeta creo.

Anónimo dijo...

Hola gentet, no puedo habilitar los muy cancheros efectos de escritorio, las placa de video es:

SiS] 661/741/760 PCI/AGP or 662/761Gx PCIE VGA Display Adapter

segui todo el tutorial, y en la ultima linea, cuando tengo que istalar el driver remplase intel por sis y el mensaje fue:

ale@ale-desktop:~$ sudo apt-get install xserver-xorg-video-sis
[sudo] password for ale:
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
xserver-xorg-video-sis ya está en su versión más reciente.
Se instalaron de forma automática los siguientes paquetes y ya no son necesarios.
chromium-browser-inspector
Utilice «apt-get autoremove» para eliminarlos.
0 actualizados, 0 se instalarán, 0 para eliminar y 3 no actualizados.

ayuda, que me recomiendan

arriero dijo...

Si te mando el mensaje de que estas con la ultima versión, puede ser que este tutorial este obsoleto para tu versión de Ubuntu, ya que este solo llegaba hasta la versión 10.04.2 LTS

Matiolo dijo...

Hola, tuve problemas al intentar este repositorio. El gdm de ubuntu 11.10 no logra cargarse y entra en un loop parpadeante. Bastaría con un purge del repositorio o hay que hacer algo más?. Desde ya muchas gracias

arriero dijo...

Os digo que este tutorial esta clavado en la versión 10.04.02 no se si el repositorio usado se ha esta actualizando por el autor del repositorio, por lo tanto no se si te servirá para la 11.10.

Matiolo dijo...

Muchas gracias por tu respuesta, tienes idea de como vuelvo atras, como deshabilito o desinstalo los repositorios?. Gracias de nuevo. Saludos!

Matiolo dijo...

Gracias, tienes idea de como puedo hacer para volver atrás. Esto es, desinstalar todo lo referente a este repositorio?. Estoy sin Light GDM y necesitaría volver atras todo lo hecho. Otra vez gracias. Saludos

Anónimo dijo...

Dioste !!

IBB dijo...

Hola, antes que nada agradecer por el post... me sirvió un montón.
mi tarjeta de video VIA Technologies, Inc. CN896/VN896/P4M900 me volvía loco pues no la podía configurar... seguí todas las instrucciones (solo cambié "intel" por "openchrome") reinicié y... MAGIA!!! funciona de maravillas!!!
estoy con XUBUNTU 16.04
Genial!!!

Gracias nuevamente!!!